Bug 110240 - cron runs two instances of mrtg when minutes are 0-59/5
Summary: cron runs two instances of mrtg when minutes are 0-59/5
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: vixie-cron   
(Show other bugs)
Version: 1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jens Petersen
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-11-17 14:49 UTC by Jani Ollikainen
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-11-26 23:40:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jani Ollikainen 2003-11-17 14:49:30 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)

Description of problem:
After updating to fedora core I got emails that told i'm running 
parallel instances of mrtg. I look and look where the problem could 
be. Didn't find. Only line of mrtg which i had was in /etc/crontab

0-59/5 * * * *  root  /usr/bin/mrtg /etc/mrtg/mrtg.cfg

Then I replaced that mrtg bin with shellscript that did

logger mrtg: $@
ps auxwf

Got only 1 email, but noticed two mrtg's running in ps output and
two identical lines in /var/log/messages .. hitting head to the wall 
and thinking.. then i tried with

*/5 * * * *  root  /usr/bin/mrtg /etc/mrtg/mrtg.cfg

and got only one email and line in messages. So wtf?
Altered that back to 0-59/5 and got 1 email, 2 lines in messages.

So there has to be some weird bug in new vixie-cron which cannot 
handle that 0-59/5 right, which should be correct syntax.

Umm, it seems that it does it with */5 sometimes.. weird..




Version-Release number of selected component (if applicable):
3.0.1-76

How reproducible:
Didn't try


Additional info:

Comment 1 Jani Ollikainen 2003-11-26 23:41:35 UTC
That cron.d thingie, where did that came from :)


Note You need to log in before you can comment on or make changes to this bug.